javax.tools

## Enum Diagnostic.Kind

- java.lang.Object
- - java.lang.Enum<Diagnostic.Kind>
  - - javax.tools.Diagnostic.Kind

- All Implemented Interfaces:
    Serializable, Comparable<Diagnostic.Kind>
  Enclosing interface:
    Diagnostic<S>

      public static enum Diagnostic.Kind
      extends Enum<Diagnostic.Kind>

  Kinds of diagnostics, for example, error or warning.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR` Problem which prevents the tool's normal completion.
    `MANDATORY_WARNING` Problem similar to a warning, but is mandated by the tool's specification.
    `NOTE` Informative message from the tool.
    `OTHER` Diagnostic which does not fit within the other kinds.
    `WARNING` Problem which does not usually prevent the tool from completing normally.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Diagnostic.Kind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Diagnostic.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERROR

          public static final Diagnostic.Kind ERROR

      Problem which prevents the tool's normal completion.

    - #### WARNING

          public static final Diagnostic.Kind WARNING

      Problem which does not usually prevent the tool from completing normally.

    - #### MANDATORY_WARNING

          public static final Diagnostic.Kind MANDATORY_WARNING

      Problem similar to a warning, but is mandated by the tool's specification. For example, the Java™ Language Specification, 3rd Ed. mandates warnings on certain unchecked operations and the use of deprecated methods.

    - #### NOTE

          public static final Diagnostic.Kind NOTE

      Informative message from the tool.

    - #### OTHER

          public static final Diagnostic.Kind OTHER

      Diagnostic which does not fit within the other kinds.

  - ### Method Detail

    - #### values

          public static Diagnostic.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Diagnostic.Kind c : Diagnostic.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Diagnostic.Kind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.